<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [joinBladeburnerFaction](./bitburner.bladeburner.joinbladeburnerfaction.md)

## Bladeburner.joinBladeburnerFaction() method

Join the Bladeburner faction.

**Signature:**

```typescript
joinBladeburnerFaction(): boolean;
```
**Returns:**

boolean

True if you successfully join the Bladeburner faction, or if you are already a member, false otherwise.

## Remarks

RAM cost: 4 GB Attempts to join the Bladeburner faction.

Returns true if you successfully join the Bladeburner faction, or if you are already a member.

Returns false otherwise.

